#!/bin/sh
# SPDX-License-Identifier: MIT
# Copyright (C) 2020 Beckhoff Automation GmbH & Co. KG

set -e
set -u

readonly shlib="$(cd "${0%.*}/" && pwd)"
. "${shlib}/log.sh"

usage() {
	logmsg "\nUsage: ${0} <command>\n"
	logmsg "\nf.e.:  ${0} get-path\n"
	exit 1
}

readonly command="${1?Missing <command>$(usage)}"

case "${command}" in
	get-path)
		printf "%s" "${shlib}"
		;;
	*)
		logmsg "Unknown command '${command}'\n"
		usage
		;;
esac
