#!/bin/sh
# SPDX-License-Identifier: MIT
# Copyright (C) 2019 Beckhoff Automation GmbH & Co. KG

set -u

# copy a file or directory and change owner to 'root:wheel'
# usage: cp_and_chown_root_wheel <source> <dest>
# f.e.:  cp_and_chown_root_wheel "~/myfile" "/tmp/myfile"
cp_and_chown_root_wheel() {
	local source="$1"
	local dest="$2"
	local owner="root:wheel"

	cp -a "${source}" "${dest}"
	if [ -d "${dest}" ]; then
		dest="${dest}/$(basename "${source}")"
	fi
	chown -R ${owner} "${dest}"
}

# create a directory and change owner to 'root:wheel'
# usage: mkdir_and_chown_root_wheel <dest>
# f.e.:  mkdir_and_chown_root_wheel "/tmp/newdir"
mkdir_and_chown_root_wheel() {
	local dest="$1"
	local owner="root:wheel"

	mkdir -p "${dest}"
	chown ${owner} "${dest}"
}
